# Type aliases

> Syntax
> TypeAlias :
> `type` IDENTIFIER GenericParams? WhereClause? ( `=` Type ) `;`

A type alias defines a new name for an existing type. Type aliases are declared with the keyword `type`. Every value has a single, specific type, but may implement several different traits, or be compatible with several different type constraints.

For example, the following defines the type `Point` as a synonym for the type `(u8, u8)`, the type of pairs of unsigned 8 bit integers:

    #![allow(unused)]
    fn main() {
    type Point = (u8, u8);
    let p: Point = (41, 68);
    }

A type alias to a tuple-struct or unit-struct cannot be used to qualify that type's constructor:

    #![allow(unused)]
    fn main() {
    struct MyStruct(u32);

    use MyStruct as UseAlias;
    type TypeAlias = MyStruct;

    let _ = UseAlias(5); // OK
    let _ = TypeAlias(5); // Doesn't work
    }

A type alias without the Type specification may only appear as an associated type in a trait.